package org.gidea.scada.monitor.rabbit.controller;

import org.gidea.scada.monitor.rabbit.entity.Result;
import org.gidea.scada.monitor.rabbit.service.MonitorRabbitService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping("/monitor/rabbit")
public class MonitorRabbitController {

    @Resource
    private MonitorRabbitService rabbitService;

    @GetMapping("/applyConnection")
    public Result<String> applyConnection(@RequestParam String deviceId) {
        return rabbitService.applyConnection(deviceId);
    }
}
